/**
 * @file
 * Provides Gulp configurations and tasks for bs_base theme and child themes.
 */

'use strict';

// Load gulp and needed lower level libs.
var gulp = require('gulp');
var yaml = require('js-yaml');
var fs = require('fs');

// Load gulp options.
var options = yaml.load(fs.readFileSync('./gulp-options.yml', 'utf8'));

// Lazy load gulp plugins.
// By default gulp-load-plugins will only load "gulp-*" and "gulp.*" tasks,
// so we need to define additional patterns for other modules we are using.
var plugins = require('gulp-load-plugins')(options.gulpPlugins);

// Load gulp tasks.
require('./gulp-tasks.js')(gulp, plugins, options);
